
/*General rules*/
body {
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    background-color: #6743bc;
}

.app-header {
    background: #111;
    color: white;
    padding: 1rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.feed-container {
    max-width: 600px;
    margin: 20px auto;
    padding: 0 1rem;
}

.create-post {
    background: white;
    padding: 1rem;
    border-radius: 8px;
    margin-bottom: 20px;
}

textarea {
    width: 100%;
    resize: none;
    padding: 10px;
    font-size: 14px;
    border-radius: 6px;
}

.post-controls {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 8px;
}

button {
    background: #111;
    color: white;
    border: none;
    padding: 6px 12px;
    border-radius: 20px;
    cursor: pointer;
}

.post {
    background: white;
    padding: 1rem;
    border-radius: 8px;
    margin-bottom: 15px;
}

.post-header {
    display: flex;
    gap: 10px;
    align-items: center;
}

.profile-pic {
    width: 40px;
    height: 40px;
    border-radius: 50%;
}

.post-text {
    margin: 10px 0;
}

.post-actions {
    display: flex;
    gap: 15px;
}

.replies {
    margin-top: 10px;
    padding-left: 20px;
    border-left: 2px solid #ddd;
}

.reply {
    margin-top: 5px;
}

/*hides post feed header*/
.visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    padding: 0;
    overflow: hidden;
    clip: rect(0 0 0 0);
    border: 0;
}

/*for login page*/
.auth-page {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 80vh;
}

.auth-card {
    background: #f6f3f3;
    padding: 2rem;
    border-radius: 8px;
    width: 300px;
}


/*for navigation buttons in header*/
.nav{
position: absolute;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    gap: 10px;
}
.nav a {
    text-decoration: none;
    padding: 6px 14px;
    border-radius: 20px;
    background: #f6f3f3;
    color: #000;
    font-size: 0.9rem;
}